<?php

IF (POST('ok')){
  
  DB_FILTER();
  
  $err_data = 0;
  
  $name = ADSL(POST('name'));
  $message = ADSL(POST('message'));
  
  IF (STR($name) < 1){
    
    ERROR('Имя не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) > 200){
    
    ERROR('Имя не может быть больше 200 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) < 1){
    
    ERROR('Содержимое не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) > 10000){
    
    ERROR('Содержимое не может быть больше 10000 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `COMMUNITIES_FORUM_THEM` WHERE `MESSAGE` = '".$message."' AND `SECTION_ID` = '".$section['ID']."' LIMIT 1") == 1){
    
    ERROR('Тема с таким содержимым уже существует в данном разделе', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/modules/?path=communities&section=forum_section_themes&id='.$section['ID'].'&them=add');
    
  }

  $ID = DB::GET_ADD("INSERT INTO `COMMUNITIES_FORUM_THEM` (`NAME`, `USER_ID`, `SECTION_ID`, `MESSAGE`, `TIME`, `COMMUNITY_ID`) VALUES ('".$name."', '".$user['ID']."', '".$section['ID']."', '".$message."', '".TIME()."', '".$comm['ID']."')");
  
  SUCCESS('Тема успешно создана', 'session');
  REDIRECT('/modules/?path=communities&section=forum_them_show&id='.$ID);
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/modules/?path=communities&section=forum_section_themes&id=".$section['ID']."&them=add'>";

ECHO "<b>".LG('Введите название')."</b> (".LG('от 1 до 200 символов')."):<br />";
HTML::INPUT('name', 'Имя');

ECHO "<b>".LG('Введите содержание')."</b> (".LG('от 1 до 10000 символов')."):<br />";
HTML::TEXTAREA(NULL, 'message', 'Введите содержание', NULL, 'form-control-100');

HTML::BUTTON('btn-big ajax-button', 'ok', 'plus', 'Создать тему');

ECHO "</form>";

ECHO "</div>";

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=communities&section=forum_section_themes&id=".$section['ID']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities'>".LG('Сообщества')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities&section=show&id=".$comm['ID']."'>".TEXT_ABSOLUTE($comm['NAME'])."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities&section=forum_section&id=".$comm['ID']."'>".LG('Форум')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO TEXT_ABSOLUTE($section['NAME']);
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;

?>